Bug 1180999 - Non-free code included.
Summary: Non-free code included.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fossil (Show other bugs)
(Show other bugs)
Version: 22
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2015-01-12 06:28 UTC by mejiko
Modified: 2015-10-15 03:49 UTC (History)
2 users (show)

Fixed In Version: fossil-1.33-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-11 15:06:02 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 692624 None None None Never

Description mejiko 2015-01-12 06:28:21 UTC
Hello.

fossil included non-free code. 
See Debian bug number "692624" details.

I think that this package be affected by debian bug number "692624". 


Suggests:

1. Remove non-free code and rebuild.

2. Replace Fedora free (Fedora Acceptable Licensed) code.

3. Remove Fedora repos. 


Reference:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=692624

Comment 1 mejiko 2015-01-12 06:28:50 UTC
Blocking FE-Legal, This is license problem.

Comment 2 Jaroslav Reznik 2015-03-03 16:41:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Patrick Uiterwijk 2015-05-27 21:21:09 UTC
This code has been removed in the latest release, thanks for bringing it to my attention.

Comment 4 Fedora Update System 2015-05-27 21:22:07 UTC
fossil-1.33-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fossil-1.33-1.fc22

Comment 5 Fedora Update System 2015-05-30 15:44:12 UTC
Package fossil-1.33-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fossil-1.33-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9110/fossil-1.33-1.fc22
then log in and leave karma (feedback).

Comment 6 Tom "spot" Callaway 2015-09-11 15:06:02 UTC
This landed everywhere a while ago. Closing.

Comment 7 Fedora Update System 2015-10-15 03:49:56 UTC
fossil-1.33-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.